Package com.xebialabs.xlrelease.domain.events

# Class FolderRenamedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.FolderRenamedEvent

All Implemented Interfaces:
  `FolderEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class FolderRenamedEvent extends Object implements FolderEvent, scala.Product, Serializable
Event published when a folder is renamed.

param: folder the folder to rename. param: newName the new name of the folder.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderRenamedEvent(Folder folder, String newName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FolderRenamedEvent`
  `apply(Folder folder, String newName)`
  `boolean`
  `canEqual(Object x$1)`
  `FolderRenamedEvent`
  `copy(Folder folder, String newName)`
  `Folder`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `Folder`
  `folder()`
  `int`
  `hashCode()`
  `String`
  `newName()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Folder,String>>`
  `unapply(FolderRenamedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FolderRenamedEvent

    public FolderRenamedEvent(Folder folder, String newName)

- ## Method Details

  - ### apply

    public static FolderRenamedEvent apply(Folder folder, String newName)

  - ### unapply

    public static scala.Option<scala.Tuple2<Folder,String>> unapply(FolderRenamedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### folder

    public Folder folder()

  - ### newName

    public String newName()

  - ### copy

    public FolderRenamedEvent copy(Folder folder, String newName)

  - ### copy$default$1

    public Folder copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`